SSL_CTX_has_client_custom_ext(3) | OpenSSL | SSL_CTX_has_client_custom_ext(3)

# NAME

SSL_CTX_has_client_custom_ext - check whether a handler exists for a particular client extension type

# LIBRARY

libcrypto, -lcrypto

# SYNOPSIS

     #include <openssl/ssl.h>

     int SSL_CTX_has_client_custom_ext(const SSL_CTX *ctx, unsigned int ext_type);

# DESCRIPTION

SSL_CTX_has_client_custom_ext() checks whether a handler has been set for a client extension of type ext_type using SSL_CTX_add_client_custom_ext().

# RETURN VALUES

Returns 1 if a handler has been set, 0 otherwise.

# SEE ALSO

ssl(7), SSL_CTX_add_client_custom_ext(3)

# COPYRIGHT

Copyright 2016 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the OpenSSL license (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.

2018-09-23 | 1.1.1i